ECTOOL(8)

NAME
ectool - Dumps the RAM of a laptop's Embedded/Environmental Controller (EC)

SYNOPSIS

ectool [-vh?Vidq] [-w 0x<addr> -z 0x<data>]

DESCRIPTION
Dumps the RAM of a laptop's Embedded/Environmental Controller (EC)

OPTIONS

-v | --version:
    print the version

-h | --help:
    print this help

-V | --verbose:
    print debug information

-p | --getports:
    get EC data & cmd ports from /proc/ioports

-d | --dump:
    print RAM

-i | --idx:
    print IDX RAM & RAM

-q | --query:
    print query byte

-w <addr in hex>
    write to addr

-z <data in hex>
    write to data

AUTHORS

coresystems GmbH.
Man page written by Ahmad Khalifa.